Webhooks

post

Create webhook for an organization

🔒 Requires the create:webhook permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringRequired

The name of the webhook. e.g. New Production Environment

scopeone ofOptional

The scope (org/collection/dep/bp) at which the included events will trigger the webhook

undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalDeprecated

DEPRECATED: Use environment instead. Legacy scope value for deployment

Possible values:
or
undefined · enumOptionalPossible values:
scope_idstringOptional

The ID of the selected scope. e.g. 25cd0bd6-d09b-4924-abfb-41768d111fe7

endpoint_urlstringRequired

User defined end-point for pushing webhook. e.g. https://bluebricks.co/webhooks/environment

is_enabledbooleanOptional

If webhook is active. e.g. true

Responses
chevron-right
200

Created webhook

application/json

Created webhook

idstring · uuidRequired

The webhook ID

Example: 25cd0bd6-d09b-4924-abfb-41768d111fe7
namestringRequired

The name of the webhook

Example: New Production Environment
scopeone ofRequired

The scope (org/collection/environment/blueprint) at which the included events will trigger the webhook.

undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalDeprecated

DEPRECATED: Use environment instead. Legacy scope value for deployment

Possible values:
or
undefined · enumOptionalPossible values:
scope_idstringRequired

The ID of the selected scope

Example: 25cd0bd6-d09b-4924-abfb-41768d111fe7
scope_slugstringRequired

The slug of the selected scope

Example: production
endpoint_urlstringRequired

User defined end-point for pushing webhook

Example: https://bluebricks.co/webhooks/environment
is_enabledbooleanRequired

If webhook is active

Default: trueExample: true
created_bystringRequired

The user who created the webhook

Example: google-oauth2|1234567890
created_atstring · date-timeRequired

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

updated_atstring · nullableOptional

The date and time the resource was updated e.g. 2022-01-01T00:00:00.000Z

post
/api/v1/webhook
get

Ability to get a webhook

🔒 Requires the read:webhook permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
webhookIdstring · uuidRequired

The webhook ID. e.g. 25cd0bd6-d09b-4924-abfb-41768d111fe7

Responses
chevron-right
200

Webhook information

application/json

Webhook information

idstring · uuidRequired

The webhook ID

Example: 25cd0bd6-d09b-4924-abfb-41768d111fe7
namestringRequired

The name of the webhook

Example: New Production Environment
scopeone ofRequired

The scope (org/collection/environment/blueprint) at which the included events will trigger the webhook.

undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalDeprecated

DEPRECATED: Use environment instead. Legacy scope value for deployment

Possible values:
or
undefined · enumOptionalPossible values:
scope_idstringRequired

The ID of the selected scope

Example: 25cd0bd6-d09b-4924-abfb-41768d111fe7
scope_slugstringRequired

The slug of the selected scope

Example: production
endpoint_urlstringRequired

User defined end-point for pushing webhook

Example: https://bluebricks.co/webhooks/environment
is_enabledbooleanRequired

If webhook is active

Default: trueExample: true
created_bystringRequired

The user who created the webhook

Example: google-oauth2|1234567890
created_atstring · date-timeRequired

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

updated_atstring · nullableOptional

The date and time the resource was updated e.g. 2022-01-01T00:00:00.000Z

get
/api/v1/webhook/{webhookId}
put

Ability to update a webhook

🔒 Requires the update:webhook permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
webhookIdstring · uuidRequired
Body
namestringOptional

The name of the webhook. e.g. New Production Environment

scopeone ofOptional

The scope (org/collection/dep/bp) at which the included events will trigger the webhook

undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalDeprecated

DEPRECATED: Use environment instead. Legacy scope value for deployment

Possible values:
or
undefined · enumOptionalPossible values:
scope_idstringOptional

The ID of the selected scope. e.g. 25cd0bd6-d09b-4924-abfb-41768d111fe7

endpoint_urlstringOptional

User defined end-point for pushing webhook. e.g. https://bluebricks.co/webhooks/environment

is_enabledbooleanOptional

If webhook is active. e.g. true

Responses
chevron-right
200

Updated webhook

application/json

Updated webhook

idstring · uuidRequired

The webhook ID

Example: 25cd0bd6-d09b-4924-abfb-41768d111fe7
namestringRequired

The name of the webhook

Example: New Production Environment
scopeone ofRequired

The scope (org/collection/environment/blueprint) at which the included events will trigger the webhook.

undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalPossible values:
or
undefined · enumOptionalDeprecated

DEPRECATED: Use environment instead. Legacy scope value for deployment

Possible values:
or
undefined · enumOptionalPossible values:
scope_idstringRequired

The ID of the selected scope

Example: 25cd0bd6-d09b-4924-abfb-41768d111fe7
scope_slugstringRequired

The slug of the selected scope

Example: production
endpoint_urlstringRequired

User defined end-point for pushing webhook

Example: https://bluebricks.co/webhooks/environment
is_enabledbooleanRequired

If webhook is active

Default: trueExample: true
created_bystringRequired

The user who created the webhook

Example: google-oauth2|1234567890
created_atstring · date-timeRequired

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

updated_atstring · nullableOptional

The date and time the resource was updated e.g. 2022-01-01T00:00:00.000Z

put
/api/v1/webhook/{webhookId}
delete

Delete webhook by id

🔒 Requires the delete:webhook permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
webhookIdstring · uuidRequired

The webhook ID. e.g. 25cd0bd6-d09b-4924-abfb-41768d111fe7

Responses
chevron-right
200

Deletion success status

application/json

Deletion success status

idstring · uuidRequired

The webhook ID

Example: 25cd0bd6-d09b-4924-abfb-41768d111fe7
delete
/api/v1/webhook/{webhookId}
get

List available webhooks for an organization

🔒 Requires the read:webhook permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
allbooleanOptional

Indicator to instruct the API if all or just active Webhooks. e.g. true

Default: true
filterstringOptional

Structure: [key1=value1,key2=value2&value3]

offsetnumberOptional

Results offset to allow pagination e.g. 10

Default: 0Example: 10
limitnumberOptional

Results limit to allow pagination, e.g. 50

Default: 20Example: 10
orderstringOptional

Specifies the order - ascending or descending - by which the returned list should be sorted e.g. ASC

sortstring · enumOptional

Specifies the attribute by which the returned list should be sorted. Can include the sort direction as ‘asc’ or ‘desc’. e.g. sort=name&order=asc

Default: created_atPossible values:
searchstringOptional

Enables searching within the list for webhook names that match a particular query. e.g. search=name

Responses
chevron-right
200

List of available webhooks

application/json

List of available webhooks

totalnumberRequired

Total number of webhooks

get
/api/v1/webhooks

Last updated

Was this helpful?